Subject: Re: [bug#67451] [PATCH] licenses: Add CC-PDDC license.

From: Aaron Covrig <[email-masked]>
Date: Tue, 28 Nov 2023 13:12:33 -0500

On Tue, 28 Nov 2023 11:01:47 +0100
Simon Tournier <[email-masked]> wrote:

> Hi,
> 
> Thanks for the patch.
> 
> On Sat, 25 Nov 2023 at 22:11, Aaron Covrig via Guix-patches via
> <[email-masked]> wrote:
> 
> > * gnu/license.scm (CC-PDDC): New variable.  
> 
> Well, a naive question: what package(s) could potentially use this
> license?
> 
> Moreover, this license is not listed in:
> 
>     https://www.gnu.org/licenses/license-list.html
> 
> and the link <https://spdx.org/licenses/CC-PDDC> points to:
> 
>   https://creativecommons.org/licenses/publicdomain/ [no longer live] 
> 
> 
> Cheers,
> simon
> 

Good question, I'm slowly trying to run through some rust packages
(mostly in crates-io.scm) with the intent of upgrading nu-shell
(currently quite out of date to the extent that most online
documenation is now dubious with new features added and a lot of
commands removed or changed). While adding and upgrading packages, I
ran across the rust package `pwd` (https://crates.io/crates/pwd/1.4.0)
which uses this license.

There is a slim chance the author might be willing to update the
package to a dual license, but it seemed like adding this would still
be useful for completeness sake (and in the case that they aren't able
to be reached easily).

V/R,

Aaron